datacache <- new.env(hash=TRUE, parent=emptyenv())

nugomm1a520177mmentrezg <- function() showQCData("nugomm1a520177mmentrezg", datacache)
nugomm1a520177mmentrezg_dbconn <- function() dbconn(datacache)
nugomm1a520177mmentrezg_dbfile <- function() dbfile(datacache)
nugomm1a520177mmentrezg_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
nugomm1a520177mmentrezg_dbInfo <- function() dbInfo(datacache)

nugomm1a520177mmentrezgORGANISM <- "Mus musculus"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "nugomm1a520177mmentrezg.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)

    ## Create the OrgDb object
    sPkgname <- sub(".db$","",pkgname)
    txdb <- loadDb(system.file("extdata", paste(sPkgname,
      ".sqlite",sep=""), package=pkgname, lib.loc=libname),
                   packageName=pkgname)    
    dbNewname <- AnnotationDbi:::dbObjectName(pkgname,"ChipDb")
    ns <- asNamespace(pkgname)
    assign(dbNewname, txdb, envir=ns)
    namespaceExport(ns, dbNewname)
        
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.SchemaChoice("MOUSECHIP_DB", "nugomm1a520177mmentrezg", "chip nugomm1a520177mmentrezg", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
    packageStartupMessage(AnnotationDbi:::annoStartupMessages("nugomm1a520177mmentrezg.db"))
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(nugomm1a520177mmentrezg_dbconn())
}

